Summary: Privledged helper for utmp/wtmp updates
Name: utempter
%define version 0.5.5
Version: %{version}
Release: 1ml
Serial: 2004061401
Copyright: MIT/LGPL
Group: System/Base
Source: utempter-%{version}.tar.gz
BuildRoot: /var/tmp/utempter-root
Prereq: /usr/sbin/groupadd, /sbin/ldconfig, fileutils

%description
Utempter is a utility which allows programs to log information to a
privledged file (/var/run/utmp), without compromising system security.
It accomplishes this task by acting as a buffer between root and the
programs.

%prep
%setup 

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%pre
if ! grep -q '^utmp:' /etc/group
then 
/usr/sbin/groupadd -r -f utmp
fi

%post
/sbin/ldconfig
if [ -f /var/log/wtmp ]; then
    chown root.utmp /var/log/wtmp
    chmod 664 /var/log/wtmp
fi
if [ ! -f /var/run/utmp ]; then 
    touch /var/run/utmp
fi
if [ -f /var/run/utmp ]; then
    chown root.utmp /var/run/utmp
    chmod 664 /var/run/utmp
fi

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(02755, root, utmp) /usr/sbin/utempter
/usr/lib/libutempter.so*
/usr/include/utempter.h

%changelog
* Mon Jun 14 2004 Yasuma Takeda <yasuma@miraclelinux.com> 0.5.5-1ml
- Fix CAN-2004-0233 utemper directory traversal symlink attack issue

* Tue Mar 21 2000 Go Taniguchi <go@turbolinux.co.jp>
- if no /var/run/utmp touch!
 
